Remove a shot from a scene

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
DELETE /data/scenes/{scene_id}/shots/{shot_id}

Remove a shot from a scene. The shot is not deleted. The shot must be in the project of the scene. A client or a vendor of the project cannot use this route.

Path parameters

  • scene_id string(uuid) Required

    Unique identifier of the scene

  • shot_id string(uuid) Required

    Unique identifier of the shot

Responses

  • 204

    The shot is removed from the scene

  • 403

    You do not have access to this project, you are a client or a vendor, or the shot is in another project

  • 404

    The scene or the shot does not exist

DELETE /data/scenes/{scene_id}/shots/{shot_id}
curl -X DELETE "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25/shots/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/scenes/a24a6ea4-ce75-4665-a070-57453082c25/shots/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.delete(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())